## org.apache.mahout.clustering.spectral.eigencuts
Class EigencutsSensitivityReducer

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,EigencutsSensitivityNode,org.apache.hadoop.io.IntWritable,VectorWritable>
          org.apache.mahout.clustering.spectral.eigencuts.EigencutsSensitivityReducer

    public class EigencutsSensitivityReducer

extends org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,EigencutsSensitivityNode,org.apache.hadoop.io.IntWritable,VectorWritable>

The point of this class is to take all the arrays of sensitivities and convert them to a single matrix. Since there may be many values that, according to their (i, j) coordinates, overlap in the matrix, the "winner" will be determined by whichever value is smaller.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`EigencutsSensitivityReducer()`

Method Summary
`protected void` `reduce(org.apache.hadoop.io.IntWritable key, java.lang.Iterable<EigencutsSensitivityNode> arr, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EigencutsSensitivityReducer

    public EigencutsSensitivityReducer()

Method Detail

### reduce

    protected void reduce(org.apache.hadoop.io.IntWritable key,
                          java.lang.Iterable<EigencutsSensitivityNode> arr,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws java.io.IOException,
                          java.lang.InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<org.apache.hadoop.io.IntWritable,EigencutsSensitivityNode,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.